sábado, 26 de marzo de 2011

Ejecución de código en VLC Player

La empresa Core Security Technologies ha hecho públicas dos vulnerabilidades encontradas en el extendido software VLC que permiten la ejecución de código arbitrario al reproducir cierto tipo de ficheros con VLC.

VLC Media Player es un completo reproductor multimedia que soporta un gran número de formatos, como pueden ser: MP3, MPEG, DIVX, VCD o DVD entre otros, así como varios protocolos de streaming. Además está disponible para un amplio número de plataformas distintas como Windows, Mac OS X y para varias distribuciones de Linux.

Al primer fallo se le ha asignado el CVE-2010-3275 y consiste en un desbordamiento de memoria intermedia basado en heap al procesar ficheros AMV con un valor en su offset 0x41 mayor que 90.

Al segundo fallo se le ha asignado el CVE-2010-3276 y consiste en un desbordamiento de memoria intermedia basado en heap al procesar ficheros NSV en los que se ha modificado el valor comprendido entre los offsets 0x0b y 0x0e.

Ambas vulnerabilidades han sido descubiertas mediante 'fuzzing'. El fuzzing es una técnica de búsqueda de vulnerabilidades que consiste en lanzar una serie de entradas mal formadas a una aplicación para tratar de encontrar un comportamiento anómalo.

Las vulnerabilidades han sido descubiertas por Ricardo Narvaja, conocido en el mundo de la ingeniería inversa por su guía "Introducción al Cracking con OllyDbg desde cero" considerada por muchos como el primer paso para adentrarse en el mundo de la ingeniería inversa.

La versión 1.1.8 soluciona estos problemas.


Alejandro J. Gómez López
agomez@hispasec.com


Más información:

VLC Vulnerabilities handling .AMV and .NSV files
http://www.coresecurity.com/content/vlc-vulnerabilities-amv-nsv-files

VLC 1.1.8
http://www.videolan.org/vlc/releases/1.1.8.html

No hay comentarios:

Publicar un comentario en la entrada